Bug 132226 - [New Port] games/freebsd-carddeck-kde{3,4}
Summary: [New Port] games/freebsd-carddeck-kde{3,4}
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-01 18:30 UTC by Scot Hetzel
Modified: 2009-04-24 20:35 UTC (History)
0 users

See Also:


Attachments
file.shar (4.60 KB, text/plain)
2009-03-01 18:30 UTC, Scot Hetzel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scot Hetzel 2009-03-01 18:30:01 UTC
The attached shar archive creates 2 new ports:

games/freebsd-carddeck-kde4
games/freebsd-carddeck-kde3

Currently, the FreeBSD carddeck has only been included in kdegames3.  These ports allows the freebsd-carddeck to be used in both KDE 3 and KDE 4.

Fix: This shar file includes a patch to kdegames3 to remove the freebsd-carddeck and a script to move the desk_freebsd.{desktop.png} files to freebsd-carddeck-kde4/files.

Run the share file to extract the ports, the do the following:

cd freebsd-carddeck-kde4
sh ./movedeck
cd ..
patch < freebsd-carddeck-kde4/kdegames3.patch
cvs -rm kdegames3/files/deck_freebsd.desktop kdegames3/files/deck_freebsd.png


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-03-01 18:30:13 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2009-03-01 19:06:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Scot Hetzel 2009-03-01 19:39:06 UTC
Below is an entry for UPDATING to indicate the move of the FreeBSD
Carddeck from games/kdegames3 to the games/freebsd-carddeck-kde{3,4}
ports:

200903xx:
  AFFECTS: users of games/kdegames3
  AUTHOR: swhetzel@gmail.com

  The FreeBSD Carddeck is now available separately as ports for KDE 3 and
  KDE 4.  games/kdegames3 no longer includes the FreeBSD Carddeck.

	games/freebsd-carddeck-kde3
	games/freebsd-carddeck-kde4

  Use this portupgrade command to reinstall kdegames3 and install the FreeBSD
  Carddeck:

	# portupgrade -f games/kdegames3 games/freebsd-carddeck-kde3
Comment 4 Martin Wilke freebsd_committer 2009-03-21 00:03:32 UTC
Responsible Changed
From-To: miwi->makc

max will deal with both ports.
Comment 5 dfilter service freebsd_committer 2009-04-24 19:51:15 UTC
makc        2009-04-24 18:51:01 UTC

  FreeBSD ports repository

  Added files:
    games/freebsd-carddeck-kde4 Makefile pkg-descr pkg-plist 
    games/freebsd-carddeck-kde4/files deck_freebsd.desktop 
                                      deck_freebsd.png 
  Log:
  Add new port games/freebsd-carddeck-kde4:
  Provides a FreeBSD themed card deck for KDE Card Games
  
  PR:             132226
  Submitted by:   Scot Hetzel <swhetzel@gmail.com>
  
  Revision  Changes    Path
  1.1       +29 -0     ports/games/freebsd-carddeck-kde4/Makefile (new)
  1.1       +2 -0      ports/games/freebsd-carddeck-kde4/files/deck_freebsd.desktop (new)
  1.1       +57 -0     ports/games/freebsd-carddeck-kde4/files/deck_freebsd.png (new)
  1.1       +1 -0      ports/games/freebsd-carddeck-kde4/pkg-descr (new)
  1.1       +4 -0      ports/games/freebsd-carddeck-kde4/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Max Brazhnikov freebsd_committer 2009-04-24 20:30:45 UTC
State Changed
From-To: open->closed

I prefer to not change kde3, so add freebsd-carddeck-kde4 and make 
kdegames4 depending on it.